Bug 278356 - KMix does not find any mixer
Summary: KMix does not find any mixer
Status: CLOSED FIXED
Alias: None
Product: kmix
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources FreeBSD
: NOR normal (vote)
Target Milestone: ---
Assignee: Christian Esken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-23 19:12 UTC by Raphael Kubo da Costa
Modified: 2011-08-22 19:40 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa 2011-07-23 19:12:56 UTC
Version:           unspecified (using Devel) 
OS:                FreeBSD

This is FreeBSD 8-stable with OSS from the kernel and pulseaudio 0.9.22. I'm running trunk, and kdemultimedia is at r1242879.

When I start KMix, it does not find any mixer and shows an empty white icon in the system tray. If I hover the cursor over it, it says "Mixer cannot be found".

Reproducible: Always

Steps to Reproduce:
- Start KMix.

Actual Results:  
- No mixer is found and I cannot use KMix to control my system's volume.

Expected Results:  
- I can use KMix to control my system's volume.

Starting kmix with --nofork, I get the following output:


kmix(44859) Mixer::setGlobalMaster: ref_card= "" , ref_control= "" , preferred= true
kmix(44859) Mixer::setGlobalMaster: Mixer::setGlobalMaster() card= ""  control= ""
kmix(44859) KMixWindow::loadBaseConfig: Backends:  ()
kmix(44859) MixerToolBox::initMixerInternal: Looking for mixers with the :  "MPRIS2"  driver
kmix(44859) Mixer_MPRIS2::run: --- B ---------------------------------
kmix(44859) Mixer_MPRIS2::run: --- C ---------------------------------
kmix(44859) Mixer_MPRIS2::run: --- D ---------------------------------
kmix(44859) MixerToolBox::possiblyAddMixer: Added card  "MPRIS2:::1"
kmix(44859) MixerToolBox::initMixerInternal: Success! Found a mixer with the :  "MPRIS2"  driver
kmix(44859) Mixer::getGlobalMasterMD: Mixer::masterCardDevice() returns 0 (no globalMaster)
kmix(44859) MixerToolBox::initMixerInternal: "Sound drivers supported: MPRIS2 + OSS
Sound drivers used: MPRIS2"
Total number of detected Mixers:  1
kmix(44859) KMixWindow::recreateGUI: Using fallback GUI Profile for the mixer  "MPRIS2:::1"
kmix(44859) ProfControl::setSubcontrols: setSubcontrols found:  .*
kmix(44859) GUIProfile::addProfile: I have added "MPRIS2..1.default" ; Number of profiles is now  1
kmix(44859) KMixerWidget::loadConfig: KMixerWidget::loadConfig()
kmix(44859)/kdeui (KNotification) KStatusNotifierItemDBus::KStatusNotifierItemDBus: service is "org.kde.StatusNotifierItem-44859-1"
kmix(44859)/kdeui (KNotification) KStatusNotifierItemPrivate::registerToDaemon: Registering a client interface to the KStatusNotifierWatcher
kmix(44859) Mixer::getGlobalMasterMD: Mixer::masterCardDevice() returns 0 (no globalMaster)
kmix(44859) Mixer::getGlobalMasterMD: Mixer::masterCardDevice() returns 0 (no globalMaster)
kmix(44859) Mixer::getGlobalMasterMD: Mixer::masterCardDevice() returns 0 (no globalMaster)
kmix(44859) Mixer::getGlobalMasterMD: Mixer::masterCardDevice() returns 0 (no globalMaster)
QObject::connect: Incompatible sender/receiver arguments
        KMenu::aboutToShow() --> KMixDockWidget::activateMenuOrWindow(bool,QPoint)
kmix(44859) KMixDockWidget::KMixDockWidget: Construct the ViewDockAreaPopup and actions
kmix(44859) Mixer::getGlobalMasterMD: Mixer::masterCardDevice() returns 0 (no globalMaster)
kmix(44859) ViewBase::createDeviceWidgets: CONNECT ViewBase count  0
Comment 1 Christian Esken 2011-08-16 20:39:54 UTC
Thanks for reporting. Trunk has currently been preferring MPRIS2 over OSS for extended testing. I'll switch it back now. Can you do a timely test?
Comment 2 Christian Esken 2011-08-16 20:40:37 UTC
SVN commit 1247737 by esken:

CCBUGS: 278356
Moving back MPRIS2 behind OSS in priority.

 M  +3 -3      kmix-backends.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1247737
Comment 3 Raphael Kubo da Costa 2011-08-16 23:07:00 UTC
It's working now, thanks.
Comment 4 Christian Esken 2011-08-22 19:40:46 UTC
Tanks for checking.